IndyInterface.CallType (Groovy 3.0.7)

Package org.codehaus.groovy.vmplugin.v7

## Enum IndyInterface.CallType

- java.lang.Object
- - java.lang.Enum<IndyInterface.CallType>
  - - org.codehaus.groovy.vmplugin.v7.IndyInterface.CallType

- All Implemented Interfaces:
    `Serializable`, `Comparable<IndyInterface.CallType>`
  Enclosing class:
    IndyInterface

      public static enum IndyInterface.CallType
      extends Enum<IndyInterface.CallType>

  Enum for easy differentiation between call types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAST` | Cast invocation type
    `GET` | Get property invocation type
    `INIT` | Constructor invocation type
    `METHOD` | Method invocation type
    `SET` | Set property invocation type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IndyInterface.CallType` | `fromCallSiteName​(String callSiteName)` |
    `String` | `getCallSiteName()` | Returns the name of the call site type
    `static IndyInterface.CallType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IndyInterface.CallType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METHOD

          public static final IndyInterface.CallType METHOD

      Method invocation type

    - #### INIT

          public static final IndyInterface.CallType INIT

      Constructor invocation type

    - #### GET

          public static final IndyInterface.CallType GET

      Get property invocation type

    - #### SET

          public static final IndyInterface.CallType SET

      Set property invocation type

    - #### CAST

          public static final IndyInterface.CallType CAST

      Cast invocation type

  - ### Method Detail

    - #### values

          public static IndyInterface.CallType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndyInterface.CallType c : IndyInterface.CallType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndyInterface.CallType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCallSiteName

          public String getCallSiteName()

      Returns the name of the call site type

    - #### fromCallSiteName

          public static IndyInterface.CallType fromCallSiteName​(String callSiteName)